# d3d11deinterlaceelement

Deinterlacing interlaced video frames to progressive video frames by using ID3D11VideoProcessor API. Depending on the hardware it runs on, this element will only support a very limited set of video formats. Use d3d11deinterlace instead, which will take care of conversion.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──d3d11deinterlaceelement

## Factory details

Authors: – Seungha Yang

Classification: – `Filter/Effect/Video/Deinterlace/Hardware`

Rank – none

Plugin – d3d11

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw(memory:D3D11Memory):
             format: { NV12, P010_10LE }
              width: [ 1, 16384 ]
             height: [ 1, 16384 ]

    video/x-raw(memory:D3D11Memory, meta:GstVideoOverlayComposition):
             format: { NV12, P010_10LE }
              width: [ 1, 16384 ]
             height: [ 1, 16384 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw(memory:D3D11Memory):
             format: { NV12, P010_10LE }
              width: [ 1, 16384 ]
             height: [ 1, 16384 ]

    video/x-raw(memory:D3D11Memory, meta:GstVideoOverlayComposition):
             format: { NV12, P010_10LE }
              width: [ 1, 16384 ]
             height: [ 1, 16384 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### adapter

    “adapter” guint

DXGI Adapter index for creating device

Flags : Read

Default value : 0

### device-id

    “device-id” guint

DXGI Device ID

Flags : Read

Default value : 0

### method

    “method” GstD3D11DeinterlaceMethod *

Deinterlace Method. Use can set multiple methods as a flagset and element will select one of method automatically. If deinterlacing device failed to deinterlace with given mode, fallback might happen by the device

Flags : Read / Write

Default value : mocomp+adaptive+bob+blend

### supported-methods

    “supported-methods” GstD3D11DeinterlaceMethod *

Set of supported deinterlace methods by device

Flags : Read

Default value : mocomp+adaptive+bob+blend

### vendor-id

    “vendor-id” guint

DXGI Vendor ID

Flags : Read

Default value : 0

## Named constants

### GstD3D11DeinterlaceMethod

Deinterlacing method

#### Members

`blend` (0x00000001) – Blend: Blending top/bottom field pictures into one frame. Framerate will be preserved (e.g., 60i -> 30p)
`bob` (0x00000002) – Bob: Interpolating missing lines by using the adjacent lines. Framerate will be doubled (e,g, 60i -> 60p)
`adaptive` (0x00000004) – Adaptive: Interpolating missing lines by using spatial/temporal references. Framerate will be doubled (e,g, 60i -> 60p)
`mocomp` (0x00000008) – Motion Compensation: Recreating missing lines by using motion vector. Framerate will be doubled (e,g, 60i -> 60p)

Since : 1.20

The results of the search are